@echo off
REM 5724-I63, 5724-H88 (C) COPYRIGHT International Business Machines Corp. 1999, 2005
REM All Rights Reserved * Licensed Materials - Property of IBM

set LB_ENCODING=
chcp | find "850" > nul
if not ERRORLEVEL 1 set LB_ENCODING=-Dfile.encoding=Cp850

set LB_CLIENT_KEYS=-DLB_CLIENT_KEYS_DIRECTORY=%IBMULBPATH%\cbr\admin\keys
set LB_SERVER_KEYS=-Dcom.ibm.edge.nd.ServerKeysDirectory=%IBMULBPATH%\cbr\servers\key
set LB_INSTALL_PATH=-DLB_INSTALL_PATH=%IBMULBPATH%\cbr
set LB_CLASSPATH=%IBMULBPATH%\cbr\servers\lib;%IBMULBPATH%\cbr\servers\lib\ibmlb.jar;%IBMULBPATH%\cbr\admin\lib\ChartRuntime.jar;%IBMULBPATH%\cbr\admin\lib\management.jar;%IBMULBPATH%\cbr\admin\lib\tmx4jc.jar;%IBMULBPATH%\cbr\servers\lib\CustomAdvisors
set LB_RMIPORT=11099
set LB_LOGDIR=%IBMULBPATH%\cbr\servers\logs\cbr\
set LB_SAVEDIR=%IBMULBPATH%\cbr\servers\configurations\cbr\
set LB_BINDIR=%IBMULBPATH%\cbr\servers\bin\
set LB_CONFIGFILE=default.cfg
set LB_RMISERVERPORT=11199
set PATH=%IBMULBPATH%\cbr\servers\lib;%PATH%

if "%1" == "s" goto stop
if "%1" == "st" goto stop
if "%1" == "sto" goto stop
if "%1" == "stop" goto stop

IF EXIST %IBMULBPATH%\java32 GOTO W32
IF EXIST %IBMULBPATH%\java GOTO W64
ECHO Verify IBMULBPATH environment variable is set
GOTO done

:W32
  %IBMULBPATH%\java32\jre\bin\javaw %LB_ENCODING% -Xrs -Djava.net.preferIPv4Stack=true -Djava.net.preferIPv6Stack=false -cp %LB_CLASSPATH% %LB_INSTALL_PATH% %LB_CLIENT_KEYS% %LB_SERVER_KEYS% -Djava.protocol.handler.pkgs=com.ibm.net.ssl.internal.www.protocol com.ibm.internet.nd.server.SRV_WTEConfigServer %LB_RMIPORT% %LB_LOGDIR% %LB_SAVEDIR% %LB_BINDIR% %LB_CONFIGFILE% %LB_RMISERVERPORT%
  GOTO done

:W64
  %IBMULBPATH%\java\jre\bin\javaw %LB_ENCODING% -Xrs -Djava.net.preferIPv4Stack=true -Djava.net.preferIPv6Stack=false -cp %LB_CLASSPATH% %LB_INSTALL_PATH% %LB_CLIENT_KEYS% %LB_SERVER_KEYS% -Djava.protocol.handler.pkgs=com.ibm.net.ssl.internal.www.protocol com.ibm.internet.nd.server.SRV_WTEConfigServer %LB_RMIPORT% %LB_LOGDIR% %LB_SAVEDIR% %LB_BINDIR% %LB_CONFIGFILE% %LB_RMISERVERPORT%
  GOTO done

:stop
IF EXIST %IBMULBPATH%\java32 GOTO S32
IF EXIST %IBMULBPATH%\java GOTO S64
ECHO Verify IBMULBPATH environment variable is set
GOTO done

:S32
  %IBMULBPATH%\java32\jre\bin\java %LB_ENCODING% -Djava.net.preferIPv4Stack=true -Djava.net.preferIPv6Stack=false -cp %LB_CLASSPATH% %LB_INSTALL_PATH% %LB_CLIENT_KEYS% %LB_SERVER_KEYS% com.ibm.internet.nd.server.SRV_KillServer CBRServer
  GOTO done

:S64
  %IBMULBPATH%\java\jre\bin\java %LB_ENCODING% -Djava.net.preferIPv4Stack=true -Djava.net.preferIPv6Stack=false -cp %LB_CLASSPATH% %LB_INSTALL_PATH% %LB_CLIENT_KEYS% %LB_SERVER_KEYS% com.ibm.internet.nd.server.SRV_KillServer CBRServer
  GOTO done



:done
